%define name rfmon

Summary:	Red Flag Performance Monitor
Name:		rfmon
Version:	1.0
Release:	27
Group:		Applications/System
Vendor:		Red Flag Software Co., Ltd.
Packager:	packager@redflag-linux.com
Source:		rfmon.tar.gz
Source1:	rfmon_ko.qm
Source2:	rfmon_ko.ts
License:	GPL
Patch0:		rfmon-ko-resource.patch

%description
Red Flag Performance Monitor (rfmon) is a commercial software
developed by Redflag Software Corporation.  rfmon lets a system
administrator monitor system performance (such as CPU load, network
load, disk usage...). The administrator can also configure rfmond to
monitor system automatically.

%prep
%setup -q -n rfmon
%patch0 -p1 -b .ko

cp %{SOURCE1} $RPM_BUILD_DIR/%{name}/rfmon/
cp %{SOURCE2} $RPM_BUILD_DIR/%{name}/rfmon/

%build
unset QTDIR
. /etc/profile.d/qt.sh
%ifarch x86_64 ppc64
export suffix=64
%else
export suffix=""
%endif
make clean;make

make

%install
make install
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/khwtree/GroupSys/
cp rfmon.desktop $RPM_BUILD_ROOT/etc/sysconfig/khwtree/GroupSys/rfmon-%{version}-%{release}.desktop
%post
/sbin/chkconfig --level 0 rfmond off
/sbin/chkconfig --level 1 rfmond off
/sbin/chkconfig --level 2 rfmond off
/sbin/chkconfig --level 3 rfmond on
/sbin/chkconfig --level 4 rfmond off
/sbin/chkconfig --level 5 rfmond on
/sbin/chkconfig --level 6 rfmond off

%preun

%files
/etc/sysconfig/khwtree/GroupSys/rfmon-%{version}-%{release}.desktop
/usr/bin/rfmon
/sbin/rfmond
/etc/rfmond.conf
/etc/init.d/rfmond
/usr/share/rfmon/mod
/usr/share/rfmon/rfmon_zh.qm 
/usr/share/rfmon/rfmon_ja.qm 
/usr/share/rfmon/rfmon_ko.qm 
/usr/share/rfmon/qtstuff_zh.qm 
/usr/share/applnk/Settings/rfmon.desktop
/usr/share/rfmon/doc/rfmon_alarm_general.jpg
/usr/share/rfmon/doc/rfmon_alarm_restart.jpg
/usr/share/rfmon/doc/rfmon_sensor_add.jpg
/usr/share/rfmon/doc/rfmon_alarm_main.jpg
/usr/share/rfmon/doc/rfmon_main.jpg
/usr/share/rfmon/doc/rfmon_alarm_report.jpg
/usr/share/rfmon/doc/rfmon_monitor_properties.jpg
/usr/share/rfmon/doc/rfmon_manual.xml
/usr/share/rfmon/doc/rfmon_manual.html
/usr/share/rfmon/doc/en/rfmon_manual.xml
/usr/share/rfmon/doc/en/rfmon_manual.html
/usr/share/rfmon/doc/en/index
/usr/share/rfmon/doc/en/index.cache
/usr/share/rfmon/doc/index
/usr/share/rfmon/doc/index.cache
/usr/lib/rfmin/lib/librfsensors.so.1.0.0
/usr/lib/librfsensors.so
/usr/lib/librfsensors.so.1
/usr/lib/librfsensors.so.1.0
/usr/lib/rfmin/include/rfmon/cmnlib.h
/usr/lib/rfmin/include/rfmon/disk.h
/usr/lib/rfmin/include/rfmon/filesys.h
/usr/lib/rfmin/include/rfmon/manager.h
/usr/lib/rfmin/include/rfmon/memory.h
/usr/lib/rfmin/include/rfmon/network.h
/usr/lib/rfmin/include/rfmon/pin.h
/usr/lib/rfmin/include/rfmon/process.h
/usr/lib/rfmin/include/rfmon/processor.h
/usr/lib/rfmin/include/rfmon/readproc.h
/usr/lib/rfmin/include/rfmon/sensor.h
/usr/lib/rfmin/include/rfmon/sensorfile.h
/usr/lib/rfmin/include/rfmon/alarmjob.h
/usr/lib/rfmin/include/rfmon/alarm_manager.h  
/usr/share/pixmaps/rfmon.xpm

%changelog
* Wed Nov 16 2005 Nam, Kwonwoo <kwnam@haansoft.com> 1.0-27
- add Korean resource(source 1, 2 patch 0)
- remove post postun action and change .desktop file install method
* Mon Jul 19 2004 Zou Pengcheng <pczou@redflag-linux.com> 1.0.26
- IA64 port
- remove libproc.so.2.0.7 totally
